GDB (xrefs)

Typedefs | Functions
/tmp/gdb-8.1/gdb/continuations.h File Reference

Go to the source code of this file.

## Typedefs
typedef void() | continuation_ftype(void *arg, int err)
typedef void() | continuation_free_arg_ftype(void *)

## Functions
void | add_inferior_continuation (continuation_ftype *, void *, continuation_free_arg_ftype *)
void | do_all_inferior_continuations (int err)
void | discard_all_inferior_continuations (struct inferior *inf)

## Typedef Documentation

## ◆ continuation_free_arg_ftype

typedef void() continuation_free_arg_ftype(void *)

Definition at line 45 of file continuations.h.

## ◆ continuation_ftype

typedef void() continuation_ftype(void *arg, int err)

Definition at line 40 of file continuations.h.

## Function Documentation

## ◆ add_inferior_continuation()

void add_inferior_continuation | ( | continuation_ftype * | ,
|  | void * | ,
|  | continuation_free_arg_ftype * |
| ) |  |

Definition at line 111 of file continuations.c.

References inferior::args, current_inferior(), and make_continuation().

Referenced by attach_command(), and notice_new_inferior().

## ◆ discard_all_inferior_continuations()

void discard_all_inferior_continuations | ( | struct inferior * | inf | ) |

Definition at line 131 of file continuations.c.

References discard_my_continuations().

Referenced by inferior::~inferior().

## ◆ do_all_inferior_continuations()

void do_all_inferior_continuations | ( | int | err | ) |

Definition at line 122 of file continuations.c.

References current_inferior(), do_my_continuations(), and err.

Referenced by inferior_event_handler().